Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 761319 - Review Request: gtkd - It is a D binding and OO wrapper of GTK+
Review Request: gtkd - It is a D binding and OO wrapper of GTK+
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Sébastien Willmann
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-12-07 22:12 EST by MERCIER Jonathan
Modified: 2012-08-05 05:39 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-05 05:39:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
sebastien.willmann: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)
spec file (3.38 KB, text/x-rpm-spec)
2011-12-07 22:12 EST, MERCIER Jonathan
no flags Details

  None (edit)
Description MERCIER Jonathan 2011-12-07 22:12:35 EST
Created attachment 542346 [details]
spec file

scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=3573442

rpmlint spec:
------------------------
$ rpmlint ~/rpmbuild/SPECS/gtkd.spec 
../SPECS/gtkd.spec:20: W: mixed-use-of-spaces-and-tabs (spaces: line 2, tab: line 20)
../SPECS/gtkd.spec: W: invalid-url Source0: gtkd-20111024svn906.tar.xz
0 packages and 1 specfiles checked; 0 errors, 2 warnings.
------------------------
$ rpmlint ~/rpmbuild/SRPMS/gtkd-1.5.1-5.20111024svn906.fc16.src.rpm
$ rpmlint ~/rpmbuild/SRPMS/gtkd-1.5.1-5.20111024svn906.fc16.src.rpm
gtkd.src: W: spelling-error Summary(fr) It -> T, Itô, Dt
gtkd.src: W: spelling-error Summary(fr) is -> si, us, os
gtkd.src: W: spelling-error Summary(fr) binding -> building
gtkd.src: W: spelling-error Summary(fr) and -> ans, an, ad
gtkd.src: W: spelling-error Summary(fr) wrapper -> rapper, frapper, w rapper
gtkd.src: W: spelling-error Summary(fr) of -> off, if, or
gtkd.src: W: spelling-error %description -l fr multi -> mufti, multiple
gtkd.src: W: invalid-url Source0: gtkd-20111024svn906.tar.xz
1 packages and 0 specfiles checked; 0 errors, 8 warnings.

------------------------

Source files contain lgl v2 and COPYING lgpl v3 this will be fixed soon by upstream: http://www.dsource.org/projects/gtkd/ticket/113#comment:1
Comment 1 MERCIER Jonathan 2011-12-09 17:52:47 EST
http://koji.fedoraproject.org/koji/taskinfo?taskID=3576386
this one add in more tag for geany and a book for devhelp
Comment 4 MERCIER Jonathan 2012-01-07 13:46:28 EST
http://bioinfornatics.fedorapeople.org/gtkd-1.5.1-7.20111024svn906.fc16.src.rpm
http://bioinfornatics.fedorapeople.org/gtkd.spec

 remove %defattr and Group section
 generate devhelp book in  %build section
 Add tag for geany
Comment 5 MERCIER Jonathan 2012-01-08 04:34:52 EST
http://bioinfornatics.fedorapeople.org/gtkd-1.5.1-8.20111024svn906.fc16.src.rpm
http://bioinfornatics.fedorapeople.org/gtkd.spec

minor update use python as command for generate devhelp book
Comment 6 Sébastien Willmann 2012-01-10 15:17:04 EST
Some first remarks:
- There are rpmlint errors on generated packages
- Devel files should go in a -devel package
- The package license is LGPLv2.1, but DdocToDevhelp is GPLv3+
- The COPYING file contain the text of LGPLv3 instead of LGPLv2.1
- Maybe you could use wildcards in the %file section instead of listing each file individually
- The french translation of the description sounds strange to me and contains some typos.
Comment 9 Rex Dieter 2012-01-13 13:30:21 EST
setting bz Summary to match review request template
Comment 11 Sébastien Willmann 2012-01-16 10:36:34 EST
Your packages require devel packages, is that necessary?

You moved the lib into the main package, so you need to update the %post and %postun sections.
Comment 13 Sébastien Willmann 2012-01-17 04:01:33 EST
I think you don't even need the Requires at all. rpmbuild should auto-detect the dependencies. And don't forget to update the changelog date.
Comment 14 MERCIER Jonathan 2012-01-19 10:00:19 EST
http://bioinfornatics.fedorapeople.org/gtkd.spec
http://bioinfornatics.fedorapeople.org/gtkd-1.5.1-13.20120113svn920.fc16.src.rpm

- changelog [ok]
- remove shared lib like do not works as expected yet [work on with upstream)
- put a provides to main gtkd package for emulate devel package this will help in future to change for shared lib
Comment 15 MERCIER Jonathan 2012-01-19 11:25:52 EST
http://bioinfornatics.fedorapeople.org/gtkd-1.5.1-14.20120113svn920.fc16.src.rpm
http://bioinfornatics.fedorapeople.org/gtkd.spec
- remove %file devel section until shared lib doesn't works

------------------------
$ rpmlint ~/rpmbuild/SPECS/gtkd.spec 
/home/builder/rpmbuild/SPECS/gtkd.spec: W: invalid-url Source0: gtkd-20120113svn920.tar.xz
0 packages and 1 specfiles checked; 0 errors, 1 warnings.

$ rpmlint ~/rpmbuild/SRPMS/gtkd-1.5.1-14.20120113svn920.fc16.src.rpm 
gtkd.src: W: spelling-error Summary(fr) binding -> building
gtkd.src: W: spelling-error Summary(fr) and -> ans, an, ad
gtkd.src: W: spelling-error Summary(fr) wrapper -> rapper, frapper, w rapper
gtkd.src: W: spelling-error Summary(fr) of -> off, if, or
gtkd.src: W: spelling-error %description -l fr multi -> mufti, multiple
gtkd.src: W: invalid-url Source0: gtkd-20120113svn920.tar.xz
1 packages and 0 specfiles checked; 0 errors, 6 warnings.


$ ls rpmbuild/RPMS/x86_64/gtkd-*
rpmbuild/RPMS/x86_64/gtkd-1.5.1-14.20120113svn920.fc16.x86_64.rpm

$ rpmlint rpmbuild/RPMS/x86_64/gtkd-*
gtkd.x86_64: W: spelling-error Summary(fr) binding -> building
gtkd.x86_64: W: spelling-error Summary(fr) and -> ans, an, ad
gtkd.x86_64: W: spelling-error Summary(fr) wrapper -> rapper, frapper, w rapper
gtkd.x86_64: W: spelling-error Summary(fr) of -> off, if, or
gtkd.x86_64: W: spelling-error %description -l fr multi -> mufti, multiple
gtkd.x86_64: W: devel-file-in-non-devel-package /usr/lib64/libgtkd.a
gtkd.x86_64: W: devel-file-in-non-devel-package /usr/lib64/libgtkdsv.a
gtkd.x86_64: W: devel-file-in-non-devel-package /usr/lib64/libgtkdgl.a
1 packages and 0 specfiles checked; 0 errors, 8 warnings.
Comment 16 MERCIER Jonathan 2012-01-28 15:03:39 EST
http://bioinfornatics.fedorapeople.org/gtkd.spec
http://bioinfornatics.fedorapeople.org/gtkd-1.5.1-15.20120113svn920.fc16.src.rpm

build as shared lib

$ rpmlint ~/rpmbuild/SPECS/gtkd.spec 
/home/builder/rpmbuild/SPECS/gtkd.spec: W: invalid-url Source0: gtkd-20120113svn920.tar.xz
0 packages and 1 specfiles checked; 0 errors, 1 warnings.

$ rpmlint ~/rpmbuild/SRPMS/gtkd-1.5.1-14.20120113svn920.fc16.src.rpm 
gtkd.src: W: spelling-error Summary(fr) binding -> building
gtkd.src: W: spelling-error Summary(fr) and -> ans, an, ad
gtkd.src: W: spelling-error Summary(fr) wrapper -> rapper, frapper, w rapper
gtkd.src: W: spelling-error Summary(fr) of -> off, if, or
gtkd.src: W: spelling-error %description -l fr multi -> mufti, multiple
gtkd.src: W: invalid-url Source0: gtkd-20120113svn920.tar.xz
1 packages and 0 specfiles checked; 0 errors, 6 warnings.
Comment 17 MERCIER Jonathan 2012-01-28 20:56:36 EST
you can try this minimal code (need to install gtkd and gtkd-devel)
-------------------------------------
module demo;
private import std.string;
private import gtk.Main;
private import gtk.MainWindow;

class Demo : MainWindow {
    this(){
        super("Gtkd demo window");
    }
}


void main(string[] args){
    Main.init(args);
    Demo window1 = new Demo();
    window1.showAll();
    Main.run();
}

-------------------------------------
$ ldc2 demo.d -L-lgtkd -L-ldl 
$ ./demo
Comment 18 MERCIER Jonathan 2012-01-28 21:01:38 EST
-L-ldl is useless here
Comment 19 Sébastien Willmann 2012-01-29 12:05:59 EST
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



fedora-review generates the following section for C/C++, but it's still relevant for this package.
==== C/C++ ====
[x]: MUST ldconfig called in %post and %postun if required.
[x]: MUST Package does not contain any libtool archives (.la)
[x]: MUST Package does not contain kernel modules.
[!]: MUST Package contains no static executables.
[x]: MUST Rpath absent or only used for internal libs.
[x]: MUST Package is not relocatable.
[x]: MUST Development .so files in -devel subpackage, if present.
[!]: MUST Static libraries in -static subpackage, if present.


==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[!]: MUST License field in the package spec file matches the actual license.
COPYING says that the license is LGPLv3, but the source code says LGPLv2.1+.
The oldest version should be specified.

[x]: MUST License file installed when any subpackage combination is installed.
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[!]: MUST Package meets the Packaging Guidelines.
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generates any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[?]: MUST Package installs properly.
Couldn't build the package for fedora 16

[!]: MUST Requires correct, justified where necessary.
Explain why you use explicit requires

[!]: MUST Rpmlint output is silent.

rpmlint gtkd-1.5.1-15.20120113svn920.fc17.src.rpm

gtkd.src: I: enchant-dictionary-not-found en_US
gtkd.src: I: enchant-dictionary-not-found fr
gtkd.src: W: invalid-url Source0: gtkd-20120113svn920.tar.xz
1 packages and 0 specfiles checked; 0 errors, 1 warnings.


rpmlint gtkd-devhelp-1.5.1-15.20120113svn920.fc17.noarch.rpm

gtkd-devhelp.noarch: I: enchant-dictionary-not-found en_US
gtkd-devhelp.noarch: I: enchant-dictionary-not-found fr
gtkd-devhelp.noarch: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 1 warnings.


rpmlint gtkd-geany-tags-1.5.1-15.20120113svn920.fc17.noarch.rpm

gtkd-geany-tags.noarch: I: enchant-dictionary-not-found en_US
gtkd-geany-tags.noarch: I: enchant-dictionary-not-found fr
gtkd-geany-tags.noarch: W: no-documentation
gtkd-geany-tags.noarch: E: script-without-shebang /usr/share/geany/tags/gtkd.d.tags
1 packages and 0 specfiles checked; 1 errors, 1 warnings.


rpmlint gtkd-devel-1.5.1-15.20120113svn920.fc17.i686.rpm

gtkd-devel.i686: I: enchant-dictionary-not-found en_US
gtkd-devel.i686: I: enchant-dictionary-not-found fr
gtkd-devel.i686: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 1 warnings.


rpmlint gtkd-1.5.1-15.20120113svn920.fc17.i686.rpm

gtkd.i686: I: enchant-dictionary-not-found en_US
gtkd.i686: I: enchant-dictionary-not-found fr
gtkd.i686: W: unstripped-binary-or-object /usr/lib/libgtkdsv.so.1.5.1
gtkd.i686: W: unstripped-binary-or-object /usr/lib/libgtkdgl.so.1.5.1
gtkd.i686: W: unstripped-binary-or-object /usr/lib/libgtkd.so.1.5.1
1 packages and 0 specfiles checked; 0 errors, 3 warnings.

[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
No differences found with diff -r

[!]: MUST Spec file is legible and written in American English.
Some sentences in the comments need to be corrected

[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[x]: SHOULD Reviewer should test that the package builds in mock.
[x]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[?]: SHOULD Package functions as described.
Couldn't build the package for fedora 16

[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD Scriptlets must be sane, if used.
[x]: SHOULD SourceX is a working URL.
[x]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
Koji scratch build for rawhide: http://koji.fedoraproject.org/koji/taskinfo?taskID=3743972
However, note that the build fails for f16: http://koji.fedoraproject.org/koji/taskinfo?taskID=3743987

[-]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Issues:
[!]: MUST Rpmlint output is silent.

rpmlint gtkd-1.5.1-15.20120113svn920.fc17.src.rpm

gtkd.src: I: enchant-dictionary-not-found en_US
gtkd.src: I: enchant-dictionary-not-found fr
gtkd.src: W: invalid-url Source0: gtkd-20120113svn920.tar.xz
1 packages and 0 specfiles checked; 0 errors, 1 warnings.


rpmlint gtkd-devhelp-1.5.1-15.20120113svn920.fc17.noarch.rpm

gtkd-devhelp.noarch: I: enchant-dictionary-not-found en_US
gtkd-devhelp.noarch: I: enchant-dictionary-not-found fr
gtkd-devhelp.noarch: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 1 warnings.


rpmlint gtkd-geany-tags-1.5.1-15.20120113svn920.fc17.noarch.rpm

gtkd-geany-tags.noarch: I: enchant-dictionary-not-found en_US
gtkd-geany-tags.noarch: I: enchant-dictionary-not-found fr
gtkd-geany-tags.noarch: W: no-documentation
gtkd-geany-tags.noarch: E: script-without-shebang /usr/share/geany/tags/gtkd.d.tags
1 packages and 0 specfiles checked; 1 errors, 1 warnings.


rpmlint gtkd-devel-1.5.1-15.20120113svn920.fc17.i686.rpm

gtkd-devel.i686: I: enchant-dictionary-not-found en_US
gtkd-devel.i686: I: enchant-dictionary-not-found fr
gtkd-devel.i686: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 1 warnings.


rpmlint gtkd-1.5.1-15.20120113svn920.fc17.i686.rpm

gtkd.i686: I: enchant-dictionary-not-found en_US
gtkd.i686: I: enchant-dictionary-not-found fr
gtkd.i686: W: unstripped-binary-or-object /usr/lib/libgtkdsv.so.1.5.1
gtkd.i686: W: unstripped-binary-or-object /usr/lib/libgtkdgl.so.1.5.1
gtkd.i686: W: unstripped-binary-or-object /usr/lib/libgtkd.so.1.5.1
1 packages and 0 specfiles checked; 0 errors, 3 warnings.

- Fix the script-without-shebang error in rpmlint output
- Fix the unstripped-binary-or-object warning (or justify it)
- Put the static libraries in a -static package
- The license is unclear. according to the source files, it should be 
LGPLv2.1+ instead of LGPLv3. You should clarify this point with upstream.
- Explain in the spec file why you use explicit requires
- Some english sentences need to be corrected
- Can you fix the build for fedora 16?
- You're doing some modifications with sed. You should provide the
corresponding upstream bug tickets



Generated by fedora-review 0.1.2
External plugins:
Comment 20 MERCIER Jonathan 2012-02-05 12:28:55 EST
http://bioinfornatics.fedorapeople.org/gtkd.spec
http://bioinfornatics.fedorapeople.org/gtkd-1.5.1-19.20120205svn932.fc16.src.rpm


I have worked with upstream for fixx all of this issue


------------------------- RPMLINT -------------------------
$ rpmlint ~/rpmbuild/SRPMS/gtkd-1.5.1-19.20120205svn932.fc16.src.rpm 
gtkd.src: W: spelling-error Summary(fr) binding -> building
gtkd.src: W: spelling-error Summary(fr) and -> ans, an, ad
gtkd.src: W: spelling-error Summary(fr) wrapper -> rapper, frapper, w rapper
gtkd.src: W: spelling-error Summary(fr) of -> off, if, or
gtkd.src: W: spelling-error %description -l fr multi -> mufti, multiple
gtkd.src: W: invalid-url Source0: gtkd-20120205svn932.tar.xz
1 packages and 0 specfiles checked; 0 errors, 6 warnings.

$ rpmlint ~/rpmbuild/SPECS/gtkd.spec 
/home/builder/rpmbuild/SPECS/gtkd.spec: W: invalid-url Source0: gtkd-20120205svn932.tar.xz
0 packages and 1 specfiles checked; 0 errors, 1 warnings.

$  rpmlint ~/rpmbuild/RPMS/noarch/gtkd-*
gtkd-devhelp.noarch: W: spelling-error Summary(fr) and -> ans, an, ad
gtkd-devhelp.noarch: W: spelling-error Summary(fr) reference -> référence, référencé
gtkd-devhelp.noarch: W: spelling-error Summary(fr) manuals -> manuels, manuaires
gtkd-devhelp.noarch: W: no-documentation
gtkd-geany-tags.noarch: W: spelling-error Summary(en_US) autocompletion -> auto completion, auto-completion, completion
gtkd-geany-tags.noarch: W: spelling-error Summary(fr) enable -> ensable, entable, tenable
gtkd-geany-tags.noarch: W: spelling-error Summary(fr) autocompletion -> autoconsommation, automutilation
gtkd-geany-tags.noarch: W: spelling-error %description -l en_US autocompletion -> auto completion, auto-completion, completion
gtkd-geany-tags.noarch: W: spelling-error %description -l fr l'autocompletion -> autoconsommation
gtkd-geany-tags.noarch: W: no-documentation
2 packages and 0 specfiles checked; 0 errors, 10 warnings.
Comment 21 Sébastien Willmann 2012-02-13 14:50:44 EST
- The license is still unclear
- You don't explain why you use explicit requires in the spec file
- The build still fails on F16. Is it impossible to fix this? (it would be easier for me to test the package)
Comment 22 MERCIER Jonathan 2012-02-13 19:08:09 EST
- no build for f16 like f16 use llvm 2.9. So i can't update to latest ldc release who fix this issue.

- i use explicit require like gtkd use dlopen internally so rpm can't detect this.

- what is the problem about the license? www.dsource.org/projects/gtkd/ticket/113
Comment 23 Sébastien Willmann 2012-02-14 09:01:46 EST
You alread told me why yeu use explicit requires, but it would be nice if the explanation was included in the spec file.

The problem with the license is that the source code is released under the LGPLv2.1+, not LGPLv3, even though the COPYING file says otherwise.
Comment 24 MERCIER Jonathan 2012-02-14 10:43:19 EST
- upstream has fixed the issue about license
- comment about explicit require added into spec file

scratch build F17:
http://koji.fedoraproject.org/koji/taskinfo?taskID=3790060

Spec:
http://bioinfornatics.fedorapeople.org/gtkd.spec

SRPMS:
http://bioinfornatics.fedorapeople.org/gtkd-1.5.1-20.20120208svn933.fc16.src.rpm
Comment 25 Sébastien Willmann 2012-02-15 09:30:32 EST
The license is still unclear. Your spec file says LGPLv3, the COPYING file says LGPLv3 with exceptions, and the source code says LGPLv3+.

You have a new waring for the SRPM (strange persmissions)
Comment 26 MERCIER Jonathan 2012-02-19 19:40:22 EST
both license issue and permission are fixed.

http://bioinfornatics.fedorapeople.org/gtkd.spec
http://bioinfornatics.fedorapeople.org/gtkd-1.5.1-21.20120219git2cfd194.fc16.src.rpm

http://koji.fedoraproject.org/koji/taskinfo?taskID=3803714
____

$ rpmlint ~/rpmbuild/SPECS/ldc.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

$ rpmlint ~/rpmbuild/RPMS/x86_64/gtkd*
gtkd.x86_64: W: spelling-error Summary(fr) binding -> building
gtkd.x86_64: W: spelling-error Summary(fr) and -> ans, an, ad
gtkd.x86_64: W: spelling-error Summary(fr) wrapper -> rapper, frapper, w rapper
gtkd.x86_64: W: spelling-error Summary(fr) of -> off, if, or
gtkd.x86_64: W: spelling-error %description -l fr multi -> mufti, multiple
gtkd-devel.x86_64: W: spelling-error Summary(fr) developing -> développante
gtkd-devel.x86_64: W: no-documentation
3 packages and 0 specfiles checked; 0 errors, 7 warnings.

$ rpmlint ~/rpmbuild/SRPMS/gtkd-1.5.1-21.20120219git2cfd194.fc16.src.rpm 
gtkd.src: W: spelling-error Summary(fr) binding -> building
gtkd.src: W: spelling-error Summary(fr) and -> ans, an, ad
gtkd.src: W: spelling-error Summary(fr) wrapper -> rapper, frapper, w rapper
gtkd.src: W: spelling-error Summary(fr) of -> off, if, or
gtkd.src: W: spelling-error %description -l fr multi -> mufti, multiple
1 packages and 0 specfiles checked; 0 errors, 5 warnings.
------
Comment 27 MERCIER Jonathan 2012-02-20 07:59:06 EST
$ rpmlint ~/rpmbuild/SPECS/gtkd.spec
0 packages and 1 specfiles checked; 0 errors, 0 warnings.
Comment 29 Sébastien Willmann 2012-02-22 16:22:41 EST
The license have been updated in the source files, but not in your License field. It should be LGPLv3+ with exception.

It seems that there is a test target in the makefile. Any reason why you don't include a %check section ?
Comment 31 Sébastien Willmann 2012-02-25 07:08:40 EST
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== C/C++ (This section is still relevant for D) ====
[x]: MUST ldconfig called in %post and %postun if required.
[x]: MUST Package does not contain any libtool archives (.la)
[x]: MUST Package does not contain kernel modules.
[x]: MUST Package contains no static executables.
[x]: MUST Rpath absent or only used for internal libs.
[x]: MUST Package is not relocatable.
[x]: MUST Development .so files in -devel subpackage, if present.


==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[x]: MUST License file installed when any subpackage combination is installed.
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package meets the Packaging Guidelines.
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generates any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Requires correct, justified where necessary.
[!]: MUST Rpmlint output is silent.

rpmlint gtkd-devhelp-1.5.1-22.20120219git2cfd194.fc18.noarch.rpm

gtkd-devhelp.noarch: I: enchant-dictionary-not-found en_US
gtkd-devhelp.noarch: I: enchant-dictionary-not-found fr
gtkd-devhelp.noarch: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 1 warnings.


rpmlint gtkd-1.5.1-22.20120219git2cfd194.fc18.i686.rpm

gtkd.i686: I: enchant-dictionary-not-found en_US
gtkd.i686: I: enchant-dictionary-not-found fr
1 packages and 0 specfiles checked; 0 errors, 0 warnings.


rpmlint gtkd-debuginfo-1.5.1-22.20120219git2cfd194.fc18.i686.rpm

gtkd-debuginfo.i686: I: enchant-dictionary-not-found en_US
1 packages and 0 specfiles checked; 0 errors, 0 warnings.


rpmlint gtkd-1.5.1-22.20120219git2cfd194.fc18.src.rpm

gtkd.src: I: enchant-dictionary-not-found en_US
gtkd.src: I: enchant-dictionary-not-found fr
1 packages and 0 specfiles checked; 0 errors, 0 warnings.


rpmlint gtkd-geany-tags-1.5.1-22.20120219git2cfd194.fc18.noarch.rpm

gtkd-geany-tags.noarch: I: enchant-dictionary-not-found en_US
gtkd-geany-tags.noarch: I: enchant-dictionary-not-found fr
gtkd-geany-tags.noarch: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 1 warnings.


rpmlint gtkd-devel-1.5.1-22.20120219git2cfd194.fc18.i686.rpm

gtkd-devel.i686: I: enchant-dictionary-not-found en_US
gtkd-devel.i686: I: enchant-dictionary-not-found fr
gtkd-devel.i686: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 1 warnings.


[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
No difference found with diff between the rpm sources and the git repo.

[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[x]: SHOULD Reviewer should test that the package builds in mock.
[x]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[!]: SHOULD Package functions as described.
I get an error when trying to launch the minimal code that you provided.

[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD Scriptlets must be sane, if used.
[x]: SHOULD SourceX is a working URL.
[x]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[x]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Issues:
[!]: MUST Rpmlint output is silent.

rpmlint gtkd-devhelp-1.5.1-22.20120219git2cfd194.fc18.noarch.rpm

gtkd-devhelp.noarch: I: enchant-dictionary-not-found en_US
gtkd-devhelp.noarch: I: enchant-dictionary-not-found fr
gtkd-devhelp.noarch: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 1 warnings.


rpmlint gtkd-1.5.1-22.20120219git2cfd194.fc18.i686.rpm

gtkd.i686: I: enchant-dictionary-not-found en_US
gtkd.i686: I: enchant-dictionary-not-found fr
1 packages and 0 specfiles checked; 0 errors, 0 warnings.


rpmlint gtkd-debuginfo-1.5.1-22.20120219git2cfd194.fc18.i686.rpm

gtkd-debuginfo.i686: I: enchant-dictionary-not-found en_US
1 packages and 0 specfiles checked; 0 errors, 0 warnings.


rpmlint gtkd-1.5.1-22.20120219git2cfd194.fc18.src.rpm

gtkd.src: I: enchant-dictionary-not-found en_US
gtkd.src: I: enchant-dictionary-not-found fr
1 packages and 0 specfiles checked; 0 errors, 0 warnings.


rpmlint gtkd-geany-tags-1.5.1-22.20120219git2cfd194.fc18.noarch.rpm

gtkd-geany-tags.noarch: I: enchant-dictionary-not-found en_US
gtkd-geany-tags.noarch: I: enchant-dictionary-not-found fr
gtkd-geany-tags.noarch: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 1 warnings.


rpmlint gtkd-devel-1.5.1-22.20120219git2cfd194.fc18.i686.rpm

gtkd-devel.i686: I: enchant-dictionary-not-found en_US
gtkd-devel.i686: I: enchant-dictionary-not-found fr
gtkd-devel.i686: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

[!]: SHOULD Package functions as described.
I get an error when trying to launch the minimal code that you provided.
I think you must add libglade2 in your Requires


Generated by fedora-review 0.1.2
External plugins:

Just add libglade2 in your requires and I think that I will be able to approve this package.
Comment 33 MERCIER Jonathan 2012-03-17 11:15:57 EDT
i stop this feature
Comment 34 Sébastien Willmann 2012-03-17 12:05:38 EDT
Do you give up just because I asked questions about the design of the lib on IRC? The explicit-lib-dependency can be ignored if rpm can't figure out the dependencies by itself. The only thing left to fix was the macro-in-comment warning.
Comment 36 Sébastien Willmann 2012-03-24 11:31:36 EDT
You fixed all issues. rpmlint gives an explicit-lib-dependency errors but as you explained, rpm can't figure out the dependencies by itself. So I approve this package.
Comment 37 MERCIER Jonathan 2012-03-26 12:54:08 EDT
New Package SCM Request
=======================
Package Name: gtkd
Short Description: It is a D binding and OO wrapper of GTK+
Owners: bioinfornatics
Branches: f17
InitialCC: bioinfornatics
Comment 38 Gwyn Ciesla 2012-03-26 13:06:32 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.